/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称： 
 *		2.库存盘点列表
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		王英杰		        2022-0-12	            1.00		   	    
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js') 
const mixins = require('@/mixins/index.js')
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据 
   */
  data: { 
     // 查询条件
     searchContent: [{
      code: 'maketime',
      title: mixins.$t('pastThirthtyDays'),//近30天',
      defaultValue: 5,
      searchType: Constants.searchType.date
    } , {
      code: 'choose',
      title:  mixins.$t('choose'),//'筛选',
      searchType: Constants.searchType.pick
    }],

    // 查询条件-筛选
    pullMenuList: [{
      code: 'outStatus',
      pullType: 'mSelect',
      typeName: 'outStatus'
    }, {
      code: 'receiveStatus',
      pullType: 'mSelect',
      typeName: 'receiveStatus'
    }, {
      code: 'designStatus',
      pullType: 'mSelect',
      typeName: 'designStatus'
    }, {
      code: 'customerFrom',
      pullType: 'mSelect',
      typeName: 'customerFrom'
    }, {
      code: 'keyType',
      pullType: 'mSelect',
      typeName: 'keyType'
    }, {
      code: 'delivery_Time',
      dataType: 'date'
    }],

 
    // 列表区（脚部信息）
    footerInfo: [ {
      name: 'categoryQuantity',
      title:  mixins.$t('together'),//'共计',
    }, { 
      name: 'tsumQuantity',
      title: mixins.$t('piece'),//'件'
    }],
    // 列表区（内容）
    contentList: [ {
      name: 'checkNo',
      title: mixins.$t('checkNo'),//盘点单号'
    } ,  {
      name: [{
        name: 'checkOrg',
        title: ''
      }, {
        name: 'checkStaff',
        title: ''
      }],
      title:  mixins.$t('employees'),//责任员工'
    }, {
      name: 'checkDate',
      title: mixins.$t('checkDate'),//'盘点日期'
    }, {
      name: 'remarks',
      title: mixins.$t('remarks'),//备注'
    }],

 

    // 弹出按钮
    pupbuttonList: [{
      name: 'customerRefund',
      title: mixins.$t('invaidOrder'),//作废
      }, {
        name: 'customerRefundList',
        title: mixins.$t('printedBill'),//打印票据
      } , {
        name: 'customerRefundList',
        title: mixins.$t('edit'),//编辑
      } 
     
    ],
    buttonList: [{
      name: 'merge',
      title: mixins.$t("add"), //'保存'
  }],
 
    totallength: 0, //视图下方提醒数量

    // 路由
    routeObjName: 'check',
    active:0, 
    // 主键Id
    primaryKey: 'checkId',
  },
     /**
   * @desc : 详细页面 （编辑）
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  toDetail(e) {  
   let checkId =   e.detail.item.checkId
   let that =this
   wx.navigateTo({ //盘点状态-暂存
     url:  (e.detail.item.checkStatus== Constants.checkStaus.STAGING)? this.data.route.add.url:this.data.route.edit.url,
     events: {
       // 回调后，在这里给页面赋值
       bandData: function (e) { 
           
       }
     },
     success: function (res) { 
       res.eventChannel.emit('params', {
         id: checkId,
         formMode: Constants.formMode.edit
       })
     }
   })
 },
  toPoint(e) {
    console.log('t3', e);
    this.setData({
      showShare: true
    })
  },
    /**
     * @desc   : 打开选择商品明细界面
     * @author : 王英杰
     * @date   : 2024/1/26 11:46
     */
    openChooseItems(e) { 
        let _this = this
        wx.navigateTo({
          url: this.data.route.selectGoods.url,
          events: {
            // 回调后
            bindData: function (data) { }
          },
          success: function (res) {
            // 通过eventChannel向被打开页面传送数据
            res.eventChannel.emit('params', { choose: true, item: "out" ,route: _this.data.route.add.url})
          }
        })
       
    },
 
   /**
   * @desc :   处理接口返回数据
   * @date : 2024年3月8日
   * @author : 王英杰
   */
  handleSearchData(tableData) {
    let temp = tableData
    temp.forEach(element => {
      if (element.checkStatus == Constants.checkStaus.STAGING) {//入库中mixins.$t("inStorage")
        element.backgroundColor = "red"
      }
    });
  
    this.setData({
      tableData: temp,
 
    })
  },

  /**
   * @desc : 查询
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectByCond, params);
  },

 
   
})